%define upstream_name	 DateTime-Format-W3CDTF
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse and format W3CDTF datetime strings
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/RPM4/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Test::More) >= 0.610.0
BuildArch:  noarch

%description
This module understands the W3CDTF date/time format, an ISO 8601 profile,
defined at http://www.w3.org/TR/NOTE-datetime. This format as the native
date format of RSS 1.0.

It can be used to parse these formats in order to create the appropriate
objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README SIGNATURE examples
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 365664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 25 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 59701
- update to 0.06

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 36211
- mageia rebuild
- imported package perl-DateTime-Format-W3CDTF

